Summary: Gluster 11 packages from the CentOS Storage SIG repository
Name: centos-release-gluster11
Version: 1.0
Release: 1%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-Gluster-11.repo
Source1: 75-gluster.preset
%if 0%{?centos} >= 8
BuildRequires: systemd
%endif
BuildArch: noarch

Requires: centos-release >= 8.1
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: centos-release-storage-common

Provides: centos-release-gluster = 11

%description
DNF configuration for Gluster 11 packages from the CentOS Storage SIG. Gluster
11 will receive updates for approximately 12 months. For more details about the
release and maintenance schedule, see
https://www.gluster.org/community/release-schedule

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Gluster-11.repo
install -D -m 644 %{SOURCE1} %{buildroot}%{_presetdir}/$(basename %{SOURCE1})

%if 0%{?centos}
%post
%systemd_post glusterd.service

%preun
%systemd_preun glusterd.service

%postun
%systemd_postun glusterd.service
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Gluster-11.repo
%{_presetdir}/75-gluster.preset

%changelog
* Tue Feb 14 2023 Niels de Vos <ndevos@redhat.com> - 1.0-1
- Gluster 11 GA

* Fri Nov 25 2022 Niels de Vos <ndevos@redhat.com> - 0.1-1
- Gluster 10 pre-release
- Initial version based on centos-release-gluster10
